API ReferenceAdmin Scopes
Update Scope
PATCH
/v1/admin/scopes/{scope_id}Authorization
HTTPBearer AuthorizationBearer <token>
In: header
Path Parameters
scope_id*Scope Id
Format
uuidRequest Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Patch a scope. name is rejected server-side for standard scopes
(OIDC RPs depend on it). Omitted fields are left untouched.
Response Body
application/json
application/json
curl -X PATCH "https://example.com/v1/admin/scopes/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{}'{ "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "name": "string", "description": "string", "kind": "standard", "members_editable": true, "released": true, "attributes": [ { "attribute_id": "ef88e6be-6132-42c9-abcd-a9aadce04df6", "key": "string", "label": "string", "data_type": "string", "required": true, "locked": true, "ordering": 0 } ], "created_at": "2019-08-24T14:15:22Z", "updated_at": "2019-08-24T14:15:22Z"}{ "detail": [ { "loc": [ "string" ], "msg": "string", "type": "string", "input": null, "ctx": {} } ]}